# Start a pending upload

`POST /evaluators/{name}/versions/{version}/startPendingUpload`

Initiates a new pending upload or retrieves an existing one for the specified evaluator version.

## Parameters

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `name` | `string` | Yes | The name path parameter. |
| `version` | `string` | Yes | The specific version id of the EvaluatorVersion to operate on. |

### Query parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `api-version` | `string` | Yes | The API version to use for this operation. |

## Request Body

Content-Type: `application/json` *(required)*

The pending upload request parameters

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `pendingUploadId` | `string` | No | If PendingUploadId is not provided, a random GUID will be used. |
| `connectionName` | `string` | No | Azure Storage Account connection name to use for generating temporary SAS token |
| `pendingUploadType` | `enum` | Yes | The type of pending upload. _Constant:_ `BlobReference` |

## Responses

### 200 — The request has succeeded.

Content-Type: `application/json`

Represents the response for a pending upload request

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `blobReference` | `BlobReference` | Yes | Blob reference details. |
| `pendingUploadId` | `string` | Yes | ID for this upload request. |
| `version` | `string` | No | Version of asset to be created if user did not specify version when initially creating upload |
| `pendingUploadType` | `enum` | Yes | The type of pending upload. _Constant:_ `BlobReference` |

#### `blobReference` — `BlobReference`

Blob reference details.

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `blobUri` | `string` | Yes | Blob URI path for client to upload data. Example: `https://blob.windows.core.net/Container/Path` _Format:_ `uri` |
| `storageAccountArmId` | `string` | Yes | ARM ID of the storage account to use. |
| `credential` | `SasCredential` | Yes | SAS Credential definition |

##### `credential` — `SasCredential`

SAS Credential definition

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `sasUri` | `string` | Yes | SAS uri |
| `type` | `enum` | Yes | Type of credential _Constant:_ `SAS` |

### 4XX — Client error

Content-Type: `application/json`

Error response for API failures.

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `error` | `OpenAI.Error` | Yes |  |

#### `error` — `OpenAI.Error`

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `code` | `string \| null` | Yes |  |
| `message` | `string` | Yes |  |
| `param` | `string \| null` | No |  |
| `type` | `string` | No |  |
| `misalignment` | `OpenAI.MisalignmentErrorDetailsResource` | No |  |
| `details` | `OpenAI.Error[]` | No |  |
| `additionalInfo` | `object` | No |  |
| `debugInfo` | `object` | No |  |

##### `misalignment` — `OpenAI.MisalignmentErrorDetailsResource`

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `error_type` | `enum` | No | _Enum:_ `potentially_unintended_data_transfer`, `potentially_unintended_data_access`, `potentially_unintended_destructive_activity`, `other` |
| `detailed_explanation` | `string` | No | The public explanation for this block. |
| `steer` | `OpenAI._MisalignmentSteer` | No |  |

###### `steer` — `OpenAI._MisalignmentSteer`

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `message` | `string` | Yes | The public continuation instruction. |

### 5XX — Server error

Content-Type: `application/json`

Error response for API failures.

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `error` | `OpenAI.Error` | Yes |  |

#### `error` — `OpenAI.Error`

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `code` | `string \| null` | Yes |  |
| `message` | `string` | Yes |  |
| `param` | `string \| null` | No |  |
| `type` | `string` | No |  |
| `misalignment` | `OpenAI.MisalignmentErrorDetailsResource` | No |  |
| `details` | `OpenAI.Error[]` | No |  |
| `additionalInfo` | `object` | No |  |
| `debugInfo` | `object` | No |  |

##### `misalignment` — `OpenAI.MisalignmentErrorDetailsResource`

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `error_type` | `enum` | No | _Enum:_ `potentially_unintended_data_transfer`, `potentially_unintended_data_access`, `potentially_unintended_destructive_activity`, `other` |
| `detailed_explanation` | `string` | No | The public explanation for this block. |
| `steer` | `OpenAI._MisalignmentSteer` | No |  |

###### `steer` — `OpenAI._MisalignmentSteer`

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `message` | `string` | Yes | The public continuation instruction. |
